cmake_minimum_required(VERSION 3.19)
project(bbr-algo LANGUAGES CXX)

set(CMAKE_POSITION_INDEPENDENT_CODE ON)

find_package(Qt6 REQUIRED COMPONENTS Core)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)


option(BUILD_TARGET_SOM "TARGET_SOM" OFF)


include_directories(app)
add_subdirectory(app)

include_directories(controller)
add_subdirectory(controller)

# Ks the 'plant' of the regulatroy system
# commented as long as 'MATLAB/extern/include' not avaliable
# include_directories(ks)
# add_subdirectory(ks)

# add_subdirectory(config)

enable_testing()
add_subdirectory(tests)
